#!/bin/bash

ECHOPREFIX=" => "
NULLPREFIX="    "

echo -e "$ECHOPREFIX Hello, this is \033[31mtexbox\033[0m"

if test "$(ls -A /tex)"; then
    # Directory not empty - user mounted directory \o/
    if [ -z "$TARGET" ]; then
        # target unset.
        TARGET="*.tex"
    fi

    # Build in build dir
    BUILD=$(date | sha256sum | cut -f1 -d' ')
    mkdir $BUILD
    cd $BUILD

    echo "$ECHOPREFIX Targetting $TARGET"

    # Build the PDF
    texi2pdf ../$TARGET
else
    # Directory is empty
    echo "$ECHOPREFIX Please mount your directory to /tex"
    echo "$NULLPREFIX See you soon."
fi

